<template>
  <modal
    name="makeDeposit"
    :adaptive="true"
    height="320px"
    width="80%">
    <div class="modal">
      <div class="modal__header">
        {{$t('deposit.title')}}
      </div>
      <div class="modal__body">
        <div class="flex flex-center">
          <AmountInput></AmountInput>
        </div>
        <div>
          <BSlider></BSlider>
        </div>
        <TheProcessingBox></TheProcessingBox>
        <div class="description">{{$t('deposit.subtitle')}}</div>
      </div>
      <div class="modal__footer">
        <Btn
          round
          size="small"
          type="modalDeposit">{{$t('deposit.title')}}
        </Btn>
      </div>
    </div>
  </modal>
</template>

<script>
  import Btn from '~/components/UI/Btn';
  import AmountInput from '~/components/UI/AmountInput';
  import BSlider from '~/components/UI/Slider/';
  import TheProcessingBox from '~/components/common/header/TheProcessing';

  export default {
    name: "TheDialog_Header",
    data() {
      return {}
    },
    components: {
      Btn,
      AmountInput,
      BSlider,
      TheProcessingBox
    },
    computed: {},
    methods: {},
    created() {
    }
  }
</script>
